org.h2gis.functions.spatial.convert

## Class ST_AsGML

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.convert.ST_AsGML

All Implemented Interfaces:
  org.h2gis.api.Function, org.h2gis.api.ScalarFunction

    public class ST_AsGML
    extends org.h2gis.api.DeterministicScalarFunction

Store a geometry as a GML representation

Author:
  Erwan Bocher

### Field Summary

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC, PROP_NOBUFFER`

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Constructor Summary

Constructors
Constructor and Description
`ST_AsGML()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getJavaStaticMethod()`
`static String` `toGML(org.locationtech.jts.geom.Geometry geom)` Write the GML

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_AsGML

    public ST_AsGML()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### toGML

    public static String toGML(org.locationtech.jts.geom.Geometry geom)

Write the GML

Parameters:
  `geom` -
Returns: